SoSFUShort(3IV)

NAME
SoSFUShort — field containing an unsigned short integer

INHERITS FROM
SoField > SoSField > SoSFUShort

SYNOPSIS
#include <Inventor/fields/SoSFUShort.h>

Methods from class SoSFUShort:

static SoType
getClassTypeId()
virtual void
getTypeId() const
short unsigned short
getValue() const
short unsigned short
operator =(short unsigned short newValue)
void
setValue(short unsigned short newValue)
int
operator ==(const SoSFUShort &f) const
int
operator !=(const SoSFUShort &f) const

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
A single-value field containing a short (16-bit) integer.

SoSFUShorts are written to file in decimal, hexadecimal (beginning with '0x') or octal (beginning with '0') values.

METHODS
static SoType
getClassTypeId()
virtual void
getTypeId() const
Returns the type for this class or a particular object of this class.

short unsigned short
getValue() const
Returns this field's value.

short unsigned short
operator =(short unsigned short newValue)
void
setValue(short unsigned short newValue)
Sets this field to newValue.

int
operator ==(const SoSFUShort &f) const
int
operator !=(const SoSFUShort &f) const
Returns TRUE if f is of the same type and has the same value as this field.

SEE ALSO
SoField, SoSField, SoMFUShort